package org.vigia.client;

import org.vigia.client.driver.Driver;
import org.vigia.client.driver.WiiUseJDriver;
import org.vigia.client.driver.util.MovementProcessor;
import org.vigia.client.gui.controller.ClientController;
import org.vigia.client.gui.view.Panel;
import org.vigia.client.gui.view.View;

/**
 * The main client application.
 * @author Ada & jrios & toshi
 *
 */
public class Client {
	/**
	 * An example of the main method.
	 * @param args The arguments.
	 */
	public static void main(String[] args){
		Driver d = new WiiUseJDriver();
		View p = new Panel("VIGIA","127.0.0.1","1000","2000","","");
		MovementProcessor mp = new MovementProcessor();
		new ClientController(p,d,mp);
	}
}
