package org.vigia.client.driver;

/**
 * A pan-tilt-zoom tern.
 * @author Ada
 */
public class PTZ {
	/**
	 * The pan.
	 */
	protected int pan;
	/**
	 * The tilt.
	 */
	protected int tilt;
	/**
	 * The zoom.
	 */
	protected int zoom;
	
	/**
	 * Constructor.
	 * @param pan the pan.
	 * @param tilt the tilt.
	 * @param zoom the zoom.
	 */
	public PTZ(int pan, int tilt, int zoom){
		this.pan = pan;
		this.tilt = tilt;
		this.zoom = zoom;
	}
	
	/**
	 * Gets the pan.
	 * @return the pan.
	 */
	public int getPan(){
		return pan;
	}
	
	/**
	 * Gets the tilt.
	 * @return the tilt.
	 */
	public int getTilt(){
		return tilt;
	}
	
	/**
	 * Gets the zoom.
	 * @return the zoom.
	 */
	public int getZoom(){
		return zoom;
	}
	
	/**
	 * @see java.lang.Object#toString()
	 */
	public String toString(){
		String res ="";
		res = res + "(" + pan + ", " + tilt + ", " + zoom + ")";
		return res;
	}
}
