package org.vigia.server.exception;

/**
 * To indicate error while using the camera driver 
 * @author jesus
 */
@SuppressWarnings("serial")
public class CameraDriverException extends Exception{
	/**
	 * Creates a new Exception.
	 * @param msg the message.
	 */
	public CameraDriverException(String msg) {
		super(msg);
	}
	
	/**
	 * Creates a new Exception.
	 * @param msg the message.
	 * @param cause the exception's cause.
	 */
	public CameraDriverException(String msg, Throwable cause) {
		super(msg, cause);
	}
}
