package org.vigia.shared.communications;

import java.awt.image.BufferedImage;

/**
 * A listener to obtain data messages from the remote camera.
 * 
 * @author jrios
 */
public interface FrameListener {
	
	/**
	 * Receives a frame from the remote camera.
	 * 
	 * @param frame the frame.
	 */
	public void onNewFrame(BufferedImage frame);
}
