package org.vigia.test;

import org.vigia.client.driver.Driver;
import org.vigia.client.driver.IRListener;
import org.vigia.client.driver.WiiUseJDriver;

/**
 * Test for the MovementPrinter.
 * @author Ada
 */
public class MovementPrinterTest {
	/**
	 * Creates a driver and a listener and adds the latter to the former.
	 * @param args Program's arguments
	 */
	public static void main(String[] args){
		//When the user goes to the left, the pan is expected to be negative
		//(the camera goes to the right), and viceversa.
		//When the user goes down, the tilt is expected to be positive
		//(the camera goes up), and viceversa.
		//The zoom is always 100 by the moment.		
		IRListener l = new MovementPrinter();
		Driver d = new WiiUseJDriver();
		d.addIRListener(l);		  
	}
}
