package org.vigia.client.driver;

import org.vigia.client.exception.VigiaClientException;

/**
 * The driver of the Wiimote.
 * @author Ada
 * @version 1.0 (20/11/08)
 */
public interface Driver {

	/**
	 * Adds an infrared listener for the infrared events.
	 * @param l the listener.
	 * @throws VigiaClientException error from the driver.
	 */
	public void addIRListener(IRListener l) throws VigiaClientException;
	
}
