package org.vigia.client.driver;

/**
 * The infrared event listener.
 * @author Ada
 */
public interface IRListener {
	
	/**
	 * Actions to do when the Wiimote detects a change in the position of
	 * the infrared leds.
	 * @param c the new coordinates of the Wiimote.
	 * @param xVRes IR virtual screen x resolution.
	 * @param xYRes IR virtual screen y resolution.
	 */
	void onIREvent(Coordinates c, int xVRes, int xYRes);
}
