package org.vigia.client.exception;

/**
 * 
 * @author Ada & Toshi
 * @version 1.0 (16/11/08)
 *
 */
@SuppressWarnings("serial")
public class VigiaClientException extends RuntimeException{

	/**
	 * Throws an exception of the Vigia Client.
	 * @param msg the message.
	 */
	public VigiaClientException(String msg) {
		super(msg);
	}
	
	/**
	 * Throws an exception of the Vigia Client.
	 * @param msg the message.
	 * @param cause the exception's cause.
	 */
	public VigiaClientException(String msg, Throwable cause) {
		super(msg, cause);
	}
}
