package org.vigia.server.exception;

/**
 * To indicate that there isn't any client.
 * @author jrios
 */
@SuppressWarnings("serial")
public class NotConnectedException extends Exception {
	/**
	 * Creates a new Exception.
	 * @param msg the message.
	 */
	public NotConnectedException(String msg) {
		super(msg);
	}
	
	/**
	 * Creates a new Exception.
	 * @param msg the message.
	 * @param cause the exception's cause.
	 */
	public NotConnectedException(String msg, Throwable cause) {
		super(msg, cause);
	}
}
