package org.vigia.shared.communications;


/**
 * A listener to obtain control messages from the remote camera.
 * 
 * @author jrios
 */
public interface LogListener {
	
	/**
	 * Receives an log message from the remote camera.
	 * 
	 * @param log the kind of log message.
	 * @param message the log message.
	 */
	public void onLog(ELog log, String message);
}
