package org.vigia.test;

import org.vigia.client.driver.Coordinates;
import org.vigia.client.driver.IRListener;
import org.vigia.client.exception.VigiaClientException;

/**
 * Printer of the Wiimote coordinates.
 * @author Ada
 */
public class CoordinatesPrinter implements IRListener {

	
	/**
	 * @see org.vigia.client.driver.IRListener#onIREvent(org.vigia.client.driver.Coordinates, int, int)
	 */
	public void onIREvent(Coordinates c, int xVRes, int yVRes) throws VigiaClientException {
		try {
			System.out.println("X coordinate: " + c.getX());
			System.out.println("Y coordinate: " + c.getY());
			System.out.println("Z coordinate: " + c.getZ());
		} catch (Exception e) {
			throw new VigiaClientException("Error while getting coordinates.", e);
		}
	}

}
