package org.vigia.test;

import java.io.File;
import javax.imageio.ImageIO;

import org.vigia.client.gui.controller.ClientController;
import org.vigia.client.gui.controller.Controller;
import org.vigia.client.gui.view.Panel;
import org.vigia.client.gui.view.View;

/**
 * Example for presentation
 * @author Daniel Hector Stolfi Rosso 
 *
 */
public class Presentacion {

	/**
	 * @param args title ip data_port control_port log_file screenshot_path image
	 */
	public static void main(String[] args) {
		if (args.length < 6) {
			System.out.println("Usage: Presentacion ip data_port control_port log_file screenshot_path image");
			System.exit(1);
		}
		View v = new Panel("VIGIA.- PRESENTACIÓN",args[0].toString(),args[1].toString(),args[2].toString(),args[3].toString(),args[4].toString());
		Controller cc = new ClientController(v,null,null);
		v.controller(cc);
		try {
			v.showImage(ImageIO.read(new File(args[5].toString())));
		} catch (Exception e) {
			System.out.println("Error cargando imagen");
		}

	}

}
