package org.vigia.test;

import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

import javax.imageio.ImageIO;

import org.vigia.server.driver.util.ImageUtil;

/**
 * @author jrios
 *
 */
public class ScaleTest {
	/**
	 * @param args arguments
	 * @throws IOException IO error
	 */
	public static void main(String[] args) throws IOException {
		BufferedImage i = ImageIO.read(new File("image1.jpg"));
		i = ImageUtil.crop(i, 0, 0, 320, 240);
		
		long time = System.currentTimeMillis();
		
		int f=0;
		while(System.currentTimeMillis() < time+1000){
			ImageUtil.scale(i, 640, 480);
			f++;
		}
		
		ImageIO.write(ImageUtil.scale(i, 640, 480), "JPEG", new File("scaled.jpg"));
		
		System.out.println(f);
	}
}
